import { CreateElement } from 'vue';
declare const _default: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("../../config-provider/type").IconConfig;
}, unknown, {
    moveToRight(): void;
    moveToLeft(): void;
    getIconRight(): JSX.Element;
    getIconLeft(): JSX.Element;
    getIcon(direction: 'left' | 'right'): () => JSX.Element;
    _renderButton(h: CreateElement, direction: 'left' | 'right'): import("vue/types/vnode").ScopedSlotReturnValue | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
}, unknown, {
    leftDisabled: boolean;
    rightDisabled: boolean;
    operation: (string | ((h: CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue))[] | ((h: CreateElement, props: {
        direction: 'left' | 'right';
    }) => import("vue/types/vnode").ScopedSlotReturnValue);
}>;
export default _default;
